<ng-container *ngIf="pais">
	<app-alerts [error]="error" [success]="success"></app-alerts>
	<div class="row">
		<div class="container">
			<h1 class="text-center">
				{{ pais.Country }}
			</h1>
			<div class="container row mb-2">
				<div class="col-6">
					<h3 class="text-center">Exchanges Rates</h3>
					<input
						class="form-control"
						type="number"
						[(ngModel)]="rate.rate"
						placeholder="1000"
					/>
				</div>
				<div class="col-6">
					<h3 class="text-center">CODE</h3>
					<input
						class="form-control"
						type="text"
						[(ngModel)]="rate.code"
						placeholder="USD"
					/>
				</div>
			</div>
			<div class="mt-4 container row">
				<div class="col-6">
					<h3 class="text-center">Taxes</h3>
					<div class="input-group input-group-lg">
						<input
							class="form-control"
							type="number"
							[(ngModel)]="rate.tax"
							step="1"
							max="100"
							min="0"
						/>
						<div class="input-group-append">
							<span class="input-group-text">%</span>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-12">
			<ng-container *ngIf="edit; else create">
				<a
					(click)="updateRate(rate._id)"
					class="btn btn-primary btn-block"
				>
					UPDATE
				</a>
			</ng-container>
			<ng-template #create>
				<ng-container>
					<a (click)="createRate()" class="btn btn-primary btn-block">
						Create
					</a>
				</ng-container>
			</ng-template>
		</div>
	</div>
</ng-container>
